local LD = require("design.LevelDesignLibrary")
local timer = require("level.timer")
local thisLevel, player, son
function OnScriptLoaded(level)
  player = game.Player.FindPlayer()
end
function OnUpdate(level)
  GameObjects.floor_wall_01:Hide()
  GameObjects.floor_wall_02:Hide()
  GameObjects.helShip_Collision_Guide01:HideCollision()
  GameObjects.helShip_Collision_Guide02:HideCollision()
end
function OnFirstStart(level)
  timer.StartLevelTimer(0.5, function()
    GameObjects.AnimateWorld_A:PlayAnimToEnd(1.2)
  end)
  timer.StartLevelTimer(0.5, function()
    GameObjects.AnimateWorld_B:PlayAnimToEnd(1.2)
  end)
  local alf510 = game.FindLevel("Alf510_HiveIntCine")
  if alf510 ~= nil then
    alf510:CallScript("Animate551Lights")
  end
end
function OnStart()
end
function OnSaveCheckpoint(level)
  return {}
end
function OnRestoreCheckpoint(level, savedInfo)
end
function OnEnterForceStumbleZone()
  TriggerExposure()
  PlayInsideTheLightAmbience_TransitionToCaldera()
end
function TriggerExposure()
  local alf510 = game.FindLevel("Alf510_HiveIntCine")
  if alf510 ~= nil then
    alf510:CallScript("LightExposure510")
  end
end
function PlayInsideTheLightAmbience_TransitionToCaldera()
  player:CallScript("PlaySoundOnKratos", "SND_CINE_InsideTheLight_Scene_04")
end
